Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153739 - fence init script needs to wait for the fence join to complete and register
Summary: fence init script needs to wait for the fence join to complete and register
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: fence
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam "mantis" Manthei
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-05 15:24 UTC by Corey Marthaler
Modified: 2009-04-16 19:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-14 20:23:57 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2005-04-05 15:24:00 UTC
Description of problem:
Not doing so causes the gfs filesystems in /etc/fstab to fail to mount on start up:
.
.
.
Mounting GFS filesystems:  
Lock_Harness 2.6.9-28.3 (built Mar 29 2005 18:33:50) installed
GFS 2.6.9-28.3 (built Mar 29 2005 18:34:10) installed
GFS: Trying to join cluster "lock_dlm", "tank-cluster:gfs0"
Lock_DLM (built Mar 29 2005 18:33:52) installed
lock_dlm: fence domain not found; check fenced
GFS: can't mount proto = lock_dlm, table = tank-cluster:gfs0, hostdata =
GFS: Trying to join cluster "lock_dlm", "tank-cluster:gfs1"
lock_dlm: fence domain not found; check fenced
GFS: can't mount proto = lock_dlm, table = tank-cluster:gfs1, hostdata =
mount: permission denied
mount: permission denied
[FAILED]



Version-Release number of selected component (if applicable):
[root@tank-01 ~]# fence_tool -V
fence_tool 1.26 (built Mar 24 2005 18:12:14)
Copyright (C) Red Hat, Inc.  2004  All rights reserved.


How reproducible:
everytime

Comment 1 Adam "mantis" Manthei 2005-04-13 21:14:30 UTC
added "-w" to fence_tool join

Checking in fence/init.d/fenced;
/cvs/cluster/cluster/fence/init.d/fenced,v  <--  fenced
new revision: 1.1.2.2; previous revision: 1.1.2.1
done


Comment 2 Corey Marthaler 2005-04-14 20:23:57 UTC
fix verified.


Note You need to log in before you can comment on or make changes to this bug.